View Single Post
Old 30 August 2016, 09:30   #2
Toni Wilen
WinUAE developer
 
Join Date: Aug 2001
Location: Hämeenlinna/Finland
Age: 42
Posts: 19,522
No. It never works in real world.

There is no way to make stable API for these kinds of low level expansions. It would break in every version. I would break it in every version just like Linux does it with kernel module API always when/if needed!

EDIT: For example 3.4 breagage is because of updated "internal API", now each configured device is queried (tell me your autoconfig data, whats your memory bank, requirements, limits etc..) before asking it to configure itself. This would also have broken _every_ plugin device completely.

Last edited by Toni Wilen; 30 August 2016 at 09:58.
Toni Wilen is offline  
 
Page generated in 0.04632 seconds with 9 queries